Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.utils
Class ErrorCollectionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.management.utils.ErrorCollectionException

public class ErrorCollectionException
extends java.lang.Exception

The `ErrorCollectionException` exception is thrown when multiple errors (that are related in some way) occur. This exception typically contains some number of more specific, individual exceptions that provide more information about the underlying errors.

For example, the `ErrorCollectionException` exception may be thrown when an attempt is made to validate an invalid security realm, or when performing security data migration tasks. In each case, the exceptions within the `ErrorCollectionException` exception provide the details about what went wrong.

Author:
  Copyright (c) 2003 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ErrorCollectionException()` Constructs an `ErrorCollectionException` with no embedded exceptions.
`ErrorCollectionException(java.lang.String baseMessage)` Constructs an `ErrorCollectionException` with the specified base message.
`ErrorCollectionException(java.lang.Throwable exception)` Constructs an `ErrorCollectionException` that specifies a single embedded exception.

Method Summary
`void` | `add(java.lang.Throwable exception)` Adds an exception to this collection of exceptions.
`java.lang.String` | `getBaseMessage()` Gets the base message for this exception.
`java.util.Collection` | `getExceptions()` Gets the exceptions that are embedded in this collection of exceptions.
`java.lang.String` | `getMessage()` Gets detail messages for all exceptions that have been added to this collection of exceptions.
`boolean` | `isEmpty()` Tests if any exceptions have been added to this collection of exceptions.
`java.lang.String` | `toString()` Returns a String representation of an exception's detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorCollectionException

    public ErrorCollectionException()

  Constructs an `ErrorCollectionException` with no embedded exceptions.

### ErrorCollectionException

    public ErrorCollectionException(java.lang.String baseMessage)

  Constructs an `ErrorCollectionException` with the specified base message. A base message is a String that describes this collection of exceptions.

  Parameters:
    `baseMessage` - a String providing additional information about this collection of exceptions.

### ErrorCollectionException

    public ErrorCollectionException(java.lang.Throwable exception)

  Constructs an `ErrorCollectionException` that specifies a single embedded exception.

  Parameters:
    `exception` - the exception to be held by this collection of exceptions.

Method Detail

### add

    public void add(java.lang.Throwable exception)

  Adds an exception to this collection of exceptions.

  Parameters:
    `exception` - the exception to be added to this collection of exceptions.

### getExceptions

    public java.util.Collection getExceptions()

  Gets the exceptions that are embedded in this collection of exceptions.

  Returns:
    the `Collection` embedded in this collection of exceptions.

### isEmpty

    public boolean isEmpty()

  Tests if any exceptions have been added to this collection of exceptions.

  Returns:
    true if no exceptions have been added to this collection of exceptions.

### getBaseMessage

    public java.lang.String getBaseMessage()

  Gets the base message for this exception.

  Returns:
    the base message that was specified when this exception was created.

### getMessage

    public java.lang.String getMessage()

  Gets detail messages for all exceptions that have been added to this collection of exceptions. A detail message is a String that describes a particular exception.

  Returns:
    a String representation of the detail messages for all embedded exceptions.

  Overrides:
    getMessage in class java.lang.Throwable

### toString

    public java.lang.String toString()

  Returns a String representation of an exception's detail message. A detail message is a String that describes a particular exception.

  Returns:
    the detail message, represented as a String.

  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference